spring:
  config:
    import:
      - "classpath:/config/businessConfig.yml"
      - "classpath:/config/msgConfig.yml"
  main:
    lazy-initialization: true
  mail:
    #smtp服务主机  qq邮箱则为smtp.qq.com;163邮箱是smtp.163.com
    host: smtp.qq.com
    #服务协议
    protocol: smtp
    # 编码集
    default-encoding: UTF-8
    #发送邮件的账户
    username: 1111@qq.com
    #端口
    port: 465
    #授权码
    password: gpgfvnyoehsybecd
    test-connection: true
    properties:
      mail:
        smtp:
          ssl:
            enable: true
  web:
    resources:
      # 开启静态资源映射
      add-mappings: true
      # 设置静态资源位置，可以设置多个:
      static-locations: classpath:/static/
  application:
    name: GYT_FileAdm
  datasource:
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    url: jdbc:sqlserver://127.0.0.1:1433;databaseName=demo0708;encrypt=true;trustServerCertificate=true
    username: sa
    password: Free1100!
#    url: jdbc:sqlserver://192.168.130.12:1433;databaseName=SHRTEST20241227;encrypt=true;trustServerCertificate=true
#    username: sa
#    password: gyt@ikw2021
#    url: jdbc:sqlserver://192.168.130.12:1433;databaseName=SHR;encrypt=true;trustServerCertificate=true
#    username: sa
#    password: gyt@ikw2021
  session:
    # session过期日期:1天
    timeout: 86400
  thymeleaf:
    mode: HTML
    prefix: classpath:/templates/
    suffix: .html
    cache: false
    encoding: UTF-8
    enabled: true # 是否开启模板引擎
logging:
  level:
    com.gyt.shr.mapper: debug #
    com.gyt.shr.service: debug  #  # 开启debug模式
mybatis-plus:
  mapper-locations: classpath:/mapper/*.xml
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl # 添加此行以打印SQL语句
  global-config:
    db-config:
      logic-delete-field: status # 全局逻辑删除字段名
      logic-delete-value: 1 # 逻辑已删除值
      logic-not-delete-value: 0 # 逻辑未删除值
